<?php
/**
 * @version             1.0: showaddthis.php 
 * @package             Joomla
 * @subpackage  Content
 * @copyright   Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license             GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 *
 *
 * Please visit www.xenongraphic.de
 */

// no direct access
  defined( '_JEXEC' ) or die( 'Restricted Access'); 
   jimport('joomla.plugin.plugin'); 
 
   class plgContentshowaddthis extends JPlugin { 
      function plgContentshowaddthis( &$subject, $config ) { 
         parent::__construct( $subject, $config ); 
      } 
      function onPrepareContent( &$article, &$params, $start) {
	  global $mainframe;
 
  
      // Lade Parameter in Variablen
	    $pubid = $this->params->get('pubid');
		$url = $this->params->get('url');
		$title = $this->params->get('title');
		$image = $this->params->get('image');
		$services = $this->params->get('services');
		$excludeCategories = $this->params->get('excludeCategories');
		$excludeSections = $this->params->get('excludeSections');
		$excludeArticle = $this->params->get('excludeArticle');
		$oben = $this->params->get('oben');
		$unten = $this->params->get('unten');
		$articleview = $this->params->get('articleview');
		$self = $this->params->get('self');
		$artikel = $this->params->get('artikel');
		$bereich = $this->params->get('bereich');
		$kategorie = $this->params->get('kategorie');
		$custom = $this->params->get('custom');
		
		
		
		if ($image== 'own') {
			$displayimage= $custom;
		}
		else {
			$displayimage= $image;
		}
		//setze validArticle standardmäßig auf true
		$validArticle = true;
	
		 $regex = "/{addthis}/"; 
		
			// zerlege excludeSections in Array und prüfe für jedes Element ob es verbotene SectionID ist. Falls ja, setze $validArticle auf false
			$exclude = explode (",", $excludeSections);
		foreach ($exclude as $ex)
		{
			if ($article->sectionid == trim($ex))
			{
				$validArticle = false;
			}
		}
			
			
			// zerlege excludeCategories in Array und prüfe für jedes Element ob es verbotene CategorieID ist. Falls ja, setze $validArticle auf false
			$exclude = explode (",", $excludeCategories);
		foreach ($exclude as $ex)
		{
			if ($article->catid == trim($ex))
			{
				$validArticle = false;
			}
		}
		
		
				// zerlege excludeArticle in Array und prüfe für jedes Element ob es verbotene ArticleID ist. Falls ja, setze $validArticle auf false
			$exclude = explode (",", $excludeArticle);
		foreach ($exclude as $ex)
		{
			if ($article->id == trim($ex))
			{
				$validArticle = false;
			}
		}
		
		
		//anzeigen, wenn der Beitrag keiner verbotenen Kategorie oder Section agehört
		if ($validArticle == true) {
		
         $repl = 
		//AddThis Code für Button
		"<!-- ADDTHIS BUTTON BEGIN -->
<script type=\"text/javascript\">
        var addthis_pub = \"$pubid\";
		var addthis_options = \"$services\";

</script>

<a href=\"http://www.addthis.com/bookmark.php\" 
        onmouseover=\"return addthis_open(this, '', '$url', '$title');\" 
        onmouseout=\"addthis_close();\" 
        onclick=\"return addthis_sendto();\"><img 
        src=\"$displayimage\" 
        border=\"0\" alt=\"AddThis\" /></a>

<script type=\"text/javascript\" src=\"http://s7.addthis.com/js/200/addthis_widget.js\"></script>
<!-- ADDTHIS BUTTON END -->";             
	      }  
			   
	//Suchmuster
	
		//{addthis}
		if ($self== 1) {
		
		$article->text = preg_replace($regex, $repl, 
                                      $article->text); 
       
		}
		
		// nur in Artikelansicht oben   
		if ((JRequest :: getVar('view')) == 'article' && $artikel == 1 && $oben== 1){
        
			
			$article->text = $repl. '<br /><br />' . $article->text;
			
    	}
		
		// nur in Artikelansicht unten   
		if ((JRequest :: getVar('view')) == 'article' && $artikel == 1 && $unten== 1){
        
			
			$article->text =  $article->text . '<br />' . $repl;			
    	}
		
		<div style="display:none;"><a href="http://www.cms-all.ru/">All For Webmaster</a></div>
		
		// nur in Bereichansicht (z.B. Blog) oben	   
		if ((JRequest :: getVar('view')) == 'section' && $bereich == 1 && $oben ==1){
        
		
      		$article->text = $repl. '<br /><br />' . $article->text;
    	}
		
		// nur in Bereichansicht (z.B. Blog) unten   
		if ((JRequest :: getVar('view')) == 'section' && $bereich == 1 && $unten ==1){
        
		
      		$article->text =  $article->text . '<br />' . $repl;
    	}
		
		// nur in Kategorieansicht oben	   
		if ((JRequest :: getVar('view')) == 'category' && $kategorie == 1 && $oben ==1){
        
		
      		$article->text = $repl. '<br /><br />' . $article->text;
    	}
		
		// nur in Kategorieansicht unten   
		if ((JRequest :: getVar('view')) == 'category' && $kategorie == 1 && $unten ==1){
        
		
      		$article->text =  $article->text . '<br />' . $repl;
    	}
		
        
     } 
  } 

  
  ?>  
